#include<bits/stdc++.h>
using namespace std;
char a[10005][10005];
int h,w;
int main()
{
    cin>>h>>w;
    for(int i=1;i<=h;i++)
    {
        for(int j=1;j<=w;j++)
        {
            cin>>a[i][j];
        }
    }
    cout<<"0"<<endl;
    return 0;
}